#! bash oh-my-bash.module

# Emoji-based theme to display source control management and
# virtual environment info beside the ordinary bash prompt.

# Theme inspired by:
#  - Naming your Terminal tabs in OSX Lion - http://thelucid.com/2012/01/04/naming-your-terminal-tabs-in-osx-lion/
#  - Bash_it sexy theme

# Demo:
# ┌ⓔ virtualenv 💁user @ 💻 host in 📁directory on 🌿branch {1} ↑1 ↓1 +1 •1 ⌀1 ✗
# └❯ cd .bash-it/themes/5tan

# virtualenv prompts
VIRTUALENV_CHAR="ⓔ "
VIRTUALENV_THEME_PROMPT_PREFIX=""
VIRTUALENV_THEME_PROMPT_SUFFIX=""

# SCM prompts
#SCM_NONE_CHAR=""
#SCM_GIT_CHAR="[±] "
#SCM_GIT_BEHIND_CHAR="${_omb_prompt_brown}↓${_omb_prompt_normal}"
#SCM_GIT_AHEAD_CHAR="${_omb_prompt_bold_green}↑${_omb_prompt_normal}"
#SCM_GIT_UNTRACKED_CHAR="⌀"
#SCM_GIT_UNSTAGED_CHAR="${_omb_prompt_bold_olive}•${_omb_prompt_normal}"
#SCM_GIT_STAGED_CHAR="${_omb_prompt_bold_green}+${_omb_prompt_normal}"
#=======
SCM_GIT_CHAR="[±]"
SCM_GIT_BEHIND_CHAR="${red}↓${normal}"
SCM_GIT_AHEAD_CHAR="] ${bold_green}${normal}"
SCM_GIT_UNTRACKED_CHAR=""
SCM_GIT_UNSTAGED_CHAR="${bold_yellow}•${normal}"
SCM_GIT_STAGED_CHAR="${bold_green}+${normal}"
SCM_GIT_SHOW_MINIMAL_INFO=true
#>>>>>>> 94b0c42 (update theme)

SCM_THEME_PROMPT_DIRTY=""
SCM_THEME_PROMPT_CLEAN=""
SCM_THEME_PROMPT_PREFIX=""
SCM_THEME_PROMPT_SUFFIX=""

# Git status prompts
#GIT_THEME_PROMPT_DIRTY=" ${_omb_prompt_brown}✗${_omb_prompt_normal}"
#GIT_THEME_PROMPT_CLEAN=" ${_omb_prompt_bold_green}✓${_omb_prompt_normal}"
#=======
GIT_THEME_PROMPT_DIRTY="${red} ☒${normal}"
GIT_THEME_PROMPT_CLEAN="${bold_green} ☑${normal}"
#>>>>>>> 94b0c42 (update theme)
GIT_THEME_PROMPT_PREFIX=""
GIT_THEME_PROMPT_SUFFIX=""

# ICONS =======================================================================

icon_start="╭─ "
icon_user="⸸"
icon_host="⸸  "
icon_directory=" "
icon_branch="￫${normal}"
icon_end="╰ "

# extra spaces ensure legiblity in prompt

# FUNCTIONS ===================================================================

# Rename tab
function tabname {
  printf "\e]1;$1\a"
}

# Rename window
function winname {
  printf "\e]2;$@\a"
}

# PROMPT OUTPUT ===============================================================

# Displays the current prompt
#<<<<<<< HEAD
#function _omb_theme_PROMPT_COMMAND() {
#  PS1="\n${icon_start}$(_omb_prompt_print_python_venv)${icon_user}${_omb_prompt_bold_brown}\u${_omb_prompt_normal}${icon_host}${_omb_prompt_bold_teal}\h${_omb_prompt_normal}${icon_directory}${_omb_prompt_bold_purple}\W${_omb_prompt_normal}\$([[ -n \$(git branch 2> /dev/null) ]] && echo \" on ${icon_branch}  \")${_omb_prompt_white}$(scm_prompt_info)${_omb_prompt_normal}\n${icon_end}"
#=======
function _omb_theme_PROMPT_COMMAND() {
  PS1="\n${icon_start}$(virtualenv_prompt)${icon_user}${bold_blue}\u${normal}${icon_host}${bold_cyan}\h${normal}${icon_directory}${bold_green}\W${normal} \$([[ -n \$(git branch 2> /dev/null) ]] && echo \"${icon_branch} \")${white}$(scm_prompt_info)${normal}\n${icon_end}"
  #>>>>>>> 94b0c42 (update theme)
  PS2="${icon_end}"
  winname "$(pwd)"
}

# Runs prompt (this bypasses oh-my-bash $PROMPT setting)
_omb_util_add_prompt_command _omb_theme_PROMPT_COMMAND
